@charset "UTF-8";

/* YJ_reset */
/* border-box */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Margin,Padding Cross-Browsing */
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
figure,
blockquote,
dl,
dd,
ul,
ol {
  margin: 0;
  padding: 0;
}

/* Delete List Style */
ul,
ol {
  list-style: none;
}

/* Delete A tag Style */
a {
  text-decoration: none;
  color: inherit;
}

/* Delete Button, Input Style */
button,
input,
select,
textarea {
  font: inherit;
  background: none;
  border: none;
  outline: none;
  color: inherit;
}

textarea {
  resize: vertical;
}

button {
  cursor: pointer;
}

input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
  -webkit-appearance: none;
}

/* Delete Img, Video inline-Style */
img,
video {
  max-width: 100%;
  height: auto;
  display: block;
}

/* Delete Table Spacing */
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* Basic Setting */
html {
  line-height: 1.5;
}

@media (prefers-reduced-motion: no-preference) {
  html {
    scroll-behavior: smooth;
  }
}

body {
  min-height: 100vh;
}

[hidden] {
  display: none !important;
}

/* 변수 */
body {
  --m_color: #041243;
  --rel_padding: 23rem;
}

/* YJ_10px = 1rem 및 리퀴드 반응형 */
html {
  font-size: 10px;
  letter-spacing: -0.02em;
}
/* 일반 PC 구간 */
@media screen and (max-width: 1920px) {
  html {
    font-size: 0.520833vw;
  }
}

/* 태블릿 & 작은 모니터 */
@media screen and (max-width: 1440px) {
  html {
    font-size: 0.694444vw;
  }
  body {
    --rel_padding: 8rem;
  }
}

/* 큰 모바일 & 태블릿 세로 */
/* 10px -> 8px */
@media screen and (max-width: 768px) {
  html {
    font-size: 1.041667vw;
  }
  body {
    --rel_padding: 2rem;
  }
}

/* 일반 모바일 */
/* 10px -> 8px */
@media screen and (max-width: 430px) {
  html {
    font-size: 2.133333vw;
    --rel_padding: 1.8rem;
  }
}

/* 폰트 */

body {
  font-family:
    "Pretendard Variable",
    "Pretendard",
    -apple-system,
    BlinkMacSystemFont,
    system-ui,
    Roboto,
    "Helvetica Neue",
    "Segoe UI",
    "Apple SD Gothic Neo",
    "Noto Sans KR",
    "Malgun Gothic",
    "Apple Color Emoji",
    "Segoe UI Emoji",
    "Segoe UI Symbol",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}
